Package org.apache.cayenne.exp.parser

# Class ExpressionParserTokenManager

java.lang.Object
org.apache.cayenne.exp.parser.ExpressionParserTokenManager

All Implemented Interfaces:
  `ExpressionParserConstants`

public class ExpressionParserTokenManager extends Object implements ExpressionParserConstants
Token Manager.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `curChar`
  `PrintStream`
  `debugStream`
  Debug output.
  `protected JavaCharStream`
  `input_stream`
  `static final int[]`
  `jjnewLexState`
  Lex State array.
  `static final String[]`
  `jjstrLiteralImages`
  Token literal values.
  `static final String[]`
  `lexStateNames`
  Lexer state names.

  ### Fields inherited from interface org.apache.cayenne.exp.parser.ExpressionParserConstants

  `ABS, AGGREGATE, ASTERISK, AVG, CONCAT, COUNT, CURRENT_DATE, CURRENT_TIME, CURRENT_TIMESTAMP, DAY, DAY_OF_MONTH, DAY_OF_WEEK, DAY_OF_YEAR, DEC_DIGITS, DEC_FLT, DEFAULT, DIGIT, DISTINCT, DOLLAR_SIGN, DOUBLE_QUOTED_STRING, EOF, ESC, EXISTS, EXPONENT, FALSE, FLOAT_LITERAL, FLT_SUFF, FUNCTION, HOUR, IDENTIFIER, INT_LITERAL, LENGTH, LETTER, LOCATE, LOWER, MAX, MIN, MINUTE, MOD, MONTH, NOT_EXISTS, NULL, OPERATOR, PROPERTY_PATH, SECOND, SINGLE_QUOTED_STRING, SQRT, STRING_ESC, SUBSTRING, SUM, tokenImage, TRIM, TRUE, UPPER, WEEK, WithinDoubleQuoteLiteral, WithinSingleQuoteLiteral, YEAR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExpressionParserTokenManager(JavaCharStream stream)`
  Constructor.
  `ExpressionParserTokenManager(JavaCharStream stream, int lexState)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Token`
  `getNextToken()`
  Get the next Token.
  `protected Token`
  `jjFillToken()`
  `void`
  `ReInit(JavaCharStream stream)`
  Reinitialise parser.
  `void`
  `ReInit(JavaCharStream stream, int lexState)`
  Reinitialise parser.
  `void`
  `setDebugStream(PrintStream ds)`
  Set debug output.
  `void`
  `SwitchTo(int lexState)`
  Switch to specified lex state.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### debugStream

    public PrintStream debugStream
    Debug output.

  - ### jjstrLiteralImages

    public static final String[] jjstrLiteralImages
    Token literal values.

  - ### lexStateNames

    public static final String[] lexStateNames
    Lexer state names.

  - ### jjnewLexState

    public static final int[] jjnewLexState
    Lex State array.

  - ### input_stream

    protected JavaCharStream input_stream

  - ### curChar

    protected int curChar

- ## Constructor Details

  - ### ExpressionParserTokenManager

    public ExpressionParserTokenManager(JavaCharStream stream)
    Constructor.

  - ### ExpressionParserTokenManager

    public ExpressionParserTokenManager(JavaCharStream stream, int lexState)
    Constructor.

- ## Method Details

  - ### setDebugStream

    public void setDebugStream(PrintStream ds)
    Set debug output.

  - ### jjFillToken

    protected Token jjFillToken()

  - ### getNextToken

    public Token getNextToken()
    Get the next Token.

  - ### ReInit

    public void ReInit(JavaCharStream stream)
    Reinitialise parser.

  - ### ReInit

    public void ReInit(JavaCharStream stream, int lexState)
    Reinitialise parser.

  - ### SwitchTo

    public void SwitchTo(int lexState)
    Switch to specified lex state.